org.appng.xml.platform

## Class BeanOption

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.BeanOption

- All Implemented Interfaces:
    Serializable

      public class BeanOption
      extends BaseObject
      implements Serializable

  Used to parametrize a `Bean`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanOption()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The unique name of this option within the enclosing `Bean`.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

  - ### Constructor Detail

    - #### BeanOption

          public BeanOption()

  - ### Method Detail

    - #### getName

          public String getName()

      The unique name of this option within the enclosing `Bean`.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.